system.h File Reference
`#include <dlfcn.h>`
Include dependency graph for system.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DLOPEN(a, b)
#define | DLSYM(a, b)
#define | DLCLOSE(a)
#define | DLERROR()
#define | PLUGIN_SUFFIX "so"
#define | HAVE_OPENDIR 1

## Macro Definition Documentation

## DLOPEN

#define DLOPEN | ( |  | a,
|  |  | b )

Value:
dlopen((a).c_str(),(b))

Definition at line 55 of file system.h.

## DLSYM

#define DLSYM | ( |  | a,
|  |  | b )

Value:
dlsym((a),(b))

Definition at line 56 of file system.h.

## DLCLOSE

#define DLCLOSE | ( |  | a | ) |

Value:
dlclose((a))

Definition at line 57 of file system.h.

## DLERROR

#define DLERROR | ( |  | ) |

Value:
dlerror()

Definition at line 58 of file system.h.

## PLUGIN_SUFFIX

#define PLUGIN_SUFFIX "so"

Definition at line 67 of file system.h.

Referenced by usage().

## HAVE_OPENDIR

#define HAVE_OPENDIR 1

Definition at line 68 of file system.h.